# comments.list

> GET https://app.intraface.cc/api/v1/boards/{id}/comments

An agent token (`Authorization: Bearer ifc_…`) or a signed-in person. Needs the `board.view` permission on the board.

**Auth:** agent token (`Authorization: Bearer ifc_…`) or signed-in session (`__session` cookie)

## Path parameters

- `id` (string, required)

## Query parameters

- `cursor` (string)
- `limit` (integer)
- `open` (string)
- `for_agent` (string)
- `version` (integer)

## Responses

### 200: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "board_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "version_n": {
            "type": "integer",
            "exclusiveMinimum": 0,
            "maximum": 9007199254740991
          },
          "parent_id": {
            "anyOf": [
              {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              {
                "type": "null"
              }
            ]
          },
          "author_id": {
            "type": "string",
            "pattern": "^user_[A-Za-z0-9]+$"
          },
          "body": {
            "type": "string"
          },
          "anchor": {
            "anyOf": [
              {
                "type": "object",
                "properties": {
                  "sel": {
                    "anyOf": [
                      {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 1000
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "quote": {
                    "type": "object",
                    "properties": {
                      "prefix": {
                        "type": "string",
                        "maxLength": 200
                      },
                      "exact": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 500
                      },
                      "suffix": {
                        "type": "string",
                        "maxLength": 200
                      }
                    },
                    "required": [
                      "prefix",
                      "exact",
                      "suffix"
                    ]
                  },
                  "xy": {
                    "type": "object",
                    "properties": {
                      "x": {
                        "type": "number",
                        "minimum": 0,
                        "maximum": 1
                      },
                      "y": {
                        "type": "number",
                        "minimum": 0,
                        "maximum": 1
                      }
                    },
                    "required": [
                      "x",
                      "y"
                    ]
                  }
                },
                "required": [
                  "sel"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "for_agent": {
            "type": "boolean"
          },
          "resolved_n": {
            "anyOf": [
              {
                "type": "integer",
                "exclusiveMinimum": 0,
                "maximum": 9007199254740991
              },
              {
                "type": "null"
              }
            ]
          },
          "resolved_by": {
            "anyOf": [
              {
                "type": "string",
                "pattern": "^user_[A-Za-z0-9]+$"
              },
              {
                "type": "null"
              }
            ]
          },
          "resolved_agent": {
            "type": [
              "string",
              "null"
            ]
          },
          "author": {
            "type": "object",
            "properties": {
              "name": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "image_url": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "member": {
                "type": "boolean"
              }
            },
            "required": [
              "name",
              "image_url",
              "member"
            ]
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
          }
        },
        "required": [
          "id",
          "board_id",
          "version_n",
          "parent_id",
          "author_id",
          "body",
          "anchor",
          "for_agent",
          "resolved_n",
          "resolved_by",
          "resolved_agent",
          "author",
          "created_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "items",
    "next_cursor"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
